servant-client-core-0.20.2: Core functionality and class for client function generation for servant APIs

Safe Haskell | None
Language | Haskell2010

Servant.Client.Free

Synopsis

- client :: HasClient (Free ClientF) api => Proxy api -> Client (Free ClientF) api
- data ClientF a
  - = RunRequest Request (Response -> a)
  - | Throw ClientError
- module Servant.Client.Core.Reexport

# Documentation

client :: HasClient (Free ClientF) api => Proxy api -> Client (Free ClientF) api #

data ClientF a #

`ClientF` cannot stream.

Compare to `RunClient`.

Constructors

RunRequest Request (Response -> a) |
Throw ClientError |

#### Instances

Instances details

Functor ClientF # |
Instance details Defined in Servant.Client.Core.RunClient Methods fmap :: (a -> b) -> ClientF a -> ClientF b # (<$) :: a -> ClientF b -> ClientF a #

module Servant.Client.Core.Reexport